#![warn(clippy::all, rust_2018_idioms)]

use std::process::{ExitStatus, Command, Stdio};

mod app;
pub use app::TemplateApp;
pub use app::SshDeets;

pub fn connect_ssh(connect: bool, structure: &SshDeets) -> Result<String, ExitStatus>{
    let argss = structure.concat(connect);
    let mut stdout = String::new();
    if connect == false{
        let skrunk = Command::new("sshuttle")
            .args(argss)
            //.spawn()
            .stdout(Stdio::piped())
            .output().unwrap();
        let stdout = String::from_utf8(skrunk.stdout).unwrap();
    }
    Ok(stdout)
}
